Method: advertisers.creatives.create

  • This page describes how to create a new creative using a POST request to the specified URL, requiring the advertiser ID as a path parameter.

  • The request body should contain an instance of the Creative object, and a successful response will return a newly created Creative instance.

  • Authorization requires the https://www.googleapis.com/auth/display-video OAuth scope.

Creates a new creative. Returns the newly created creative if successful.

HTTP request

POST https://displayvideo.googleapis.com/v1beta2/advertisers/{creative.advertiserId}/creatives

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
creative.advertiserId

string (int64 format)

Output only. The unique ID of the advertiser the creative belongs to.

Request body

The request body contains an instance of Creative.

Response body

If successful, the response body contains a newly created instance of Creative.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.